Save revenues
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/revenue/revenues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revenues": [
{
"amount": 50.01,
"bankAccountId": 123,
"id": 123,
"date": "2022-01-04T10:20:00Z",
"salesTaxAmount": 1.01,
"description": "Gas purchase",
"businessId": 123,
"clientId": 123,
"clientName": "<string>",
"apiPaymentId": "<string>",
"bankTransferId": 123,
"revenueAccountId": 123,
"customData": {},
"v6EntityId": "<string>",
"apiOrderId": "<string>",
"expenseId": 123,
"taxPaymentId": 123
}
]
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/revenue/revenues"
payload = { "revenues": [
{
"amount": 50.01,
"bankAccountId": 123,
"id": 123,
"date": "2022-01-04T10:20:00Z",
"salesTaxAmount": 1.01,
"description": "Gas purchase",
"businessId": 123,
"clientId": 123,
"clientName": "<string>",
"apiPaymentId": "<string>",
"bankTransferId": 123,
"revenueAccountId": 123,
"customData": {},
"v6EntityId": "<string>",
"apiOrderId": "<string>",
"expenseId": 123,
"taxPaymentId": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revenues: [
{
amount: 50.01,
bankAccountId: 123,
id: 123,
date: '2022-01-04T10:20:00Z',
salesTaxAmount: 1.01,
description: 'Gas purchase',
businessId: 123,
clientId: 123,
clientName: '<string>',
apiPaymentId: '<string>',
bankTransferId: 123,
revenueAccountId: 123,
customData: {},
v6EntityId: '<string>',
apiOrderId: '<string>',
expenseId: 123,
taxPaymentId: 123
}
]
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/revenue/revenues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}
]Revenue
Save revenues
Save a new (or update an existing) set of revenues
POST
/
v5
/
revenue
/
revenues
Save revenues
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
revenues object
Show child attributes
Show child attributes
Response
200 - application/json
Successful operation
⌘I